Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

This patch changes the "List of languages supported by Redmine code highlighter" page in the help to be dynamically generated.

Currently, if the Rouge library adds new languages, someone has to manually update a list in the file

app/views/help/wiki_syntax/code_highlighting_languages.html.erb. This method takes time and can lead to mistakes.

With this patch applied, the help page will automatically show any new languages that Rouge starts supporting. This means the list

will always be up-to-date without needing manual changes.

Related issues:

Related to Redmine - Feature #33859: Add a list of supported languages by the... Closed

Related to Redmine - Feature #36594: Relax rouge version dependency in Gemfile Closed

Associated revisions

Revision 22840 - 2024-05-19 07:07 - Go MAEDA

Dynamic generation of supported code highlighting languages in help section (#40681).

Patch by Go MAEDA (@maeda).

History

#1 - 2024-05-11 09:33 - Go MAEDA

- Related to Feature #33859: Add a list of supported languages by the code highlighter to the help added

#2 - 2024-05-11 09:35 - Go MAEDA

- Related to Feature #36594: Relax rouge version dependency in Gemfile added

#3 - 2024-05-11 09:49 - Go MAEDA

- File deleted (dynamic-generation-of-syntax-highlighting-languages.patch)

#4 - 2024-05-11 09:49 - Go MAEDA

- File dynamic-generation-of-syntax-highlighting-languages.patch added

#5 - 2024-05-11 10:12 - Marius BĂLTEANU

- Target version set to Candidate for next major release

Nice!

#6 - 2024-05-18 09:26 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#7 - 2024-05-19 07:08 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA
- Resolution set to Fixed

Committed the patch.

Files

dynamic-generation-of-syntax-highlighting-languages.patch 26.8 KB 2024-05-11 Go MAEDA
